Bug 147727 - CAN-2005-0232 fireflashing vulnerability (CAN-2005-0527)
CAN-2005-0232 fireflashing vulnerability (CAN-2005-0527)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
impact=important,public=20050207
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-10 15:01 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 14:02:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-10 15:01:54 EST
Firefox 1.0 allows remote attackers to modify Boolean configuration parameters
for the about:config site by using a plugin such as Flash, and the -moz-opacity
filter, to display the about:config site then cause the user to double-click at
a certain screen position.

https://bugzilla.mozilla.org/show_bug.cgi?id=280664

This is an issue since flash will install itself with very little user input.
Comment 1 Josh Bressers 2005-02-28 15:51:15 EST
From the mozilla security advisory:


Plugins (such as flash) can be used to load privileged content into a frame.
Once loaded various spoofs can be applied to get the user to interact with the
privileged content. Michael Krax's "Fireflashing" example demonstrates that an
attacker can open about:config in a frame, hide it with an opacity setting, and
if the attacker can get the victim to click at a particular spot (design some
kind of simple game) you could toggle boolean preferences, some of which would
make further attacks easier.

The "firescrolling" example demonstrates arbitrary code execution (in this case
downloading a file) by convincing the user to scroll twice.

Workaround:
Upgrade to a fixed version. Disable JavaScript.

References:
http://www.mikx.de/fireflashing/
http://www.mikx.de/firescrolling/
https://bugzilla.mozilla.org/show_bug.cgi?id=280664
CAN-2005-0527
Comment 2 Josh Bressers 2005-03-01 14:02:00 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-176.html

Note You need to log in before you can comment on or make changes to this bug.